import React from "react";
import { StyleProp, ViewStyle, TextStyle, ImageStyle, ImageSourcePropType } from "react-native";
declare type CustomStyleProp = StyleProp<ViewStyle> | Array<StyleProp<ViewStyle>>;
declare type CustomTextStyleProp = StyleProp<TextStyle> | Array<StyleProp<TextStyle>>;
declare type CustomImageStyleProp = StyleProp<ImageStyle> | Array<StyleProp<ImageStyle>>;
export interface IColorfulCardProps {
    title: string;
    value: string;
    valuePostfix?: string;
    footerTitle: string;
    footerValue: string;
    style?: CustomStyleProp;
    iconImageSource?: ImageSourcePropType;
    iconImageStyle?: CustomImageStyleProp;
    titleTextStyle?: CustomTextStyleProp;
    footerTextStyle?: CustomTextStyleProp;
    valueTextStyle?: CustomTextStyleProp;
    valuePostfixTextStyle?: CustomTextStyleProp;
    ImageComponent?: any;
    onPress: () => void;
}
declare const ColorfulCard: React.FC<IColorfulCardProps>;
export default ColorfulCard;
