"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const react_native_1 = require("react-native");
const react_native_bounceable_1 = tslib_1.__importDefault(require("@freakycoder/react-native-bounceable"));
/**
 * ? Local Imports
 */
const ColorfulCard_style_1 = tslib_1.__importDefault(require("./ColorfulCard.style"));
const ColorfulCard = ({ style, title, value, valuePostfix, iconImageSource, iconImageStyle, footerTitle, footerValue, titleTextStyle, footerTextStyle, valueTextStyle, valuePostfixTextStyle, ImageComponent = react_native_1.Image, onPress, }) => {
    const renderTitle = () => (<react_native_1.View>
      <react_native_1.Text style={[ColorfulCard_style_1.default.titleTextStyle, titleTextStyle]}>{title}</react_native_1.Text>
    </react_native_1.View>);
    const renderIconContainer = () => (<react_native_1.View style={ColorfulCard_style_1.default.iconContainerStyle}>
      <ImageComponent source={iconImageSource} style={[ColorfulCard_style_1.default.iconImageStyle, iconImageStyle]}/>
    </react_native_1.View>);
    const renderContent = () => (<react_native_1.View style={ColorfulCard_style_1.default.contentStyle}>
      <react_native_1.Text style={[ColorfulCard_style_1.default.valueTextStyle, valueTextStyle]}>
        {`${value} `}
        <react_native_1.Text style={[ColorfulCard_style_1.default.valuePostfixTextStyle, valuePostfixTextStyle]}>
          {valuePostfix}
        </react_native_1.Text>
      </react_native_1.Text>
    </react_native_1.View>);
    const renderFooter = () => (<react_native_1.View style={ColorfulCard_style_1.default.footerContainerStyle}>
      <react_native_1.Text style={[ColorfulCard_style_1.default.footerTextStyle, footerTextStyle]}>
        {footerTitle}
      </react_native_1.Text>
      <react_native_1.Text style={[ColorfulCard_style_1.default.footerTextStyle, footerTextStyle]}>
        {footerValue}
      </react_native_1.Text>
    </react_native_1.View>);
    return (<react_native_bounceable_1.default style={[ColorfulCard_style_1.default.container, style]} onPress={onPress}>
      {renderTitle()}
      {renderIconContainer()}
      {renderContent()}
      {renderFooter()}
    </react_native_bounceable_1.default>);
};
exports.default = ColorfulCard;
//# sourceMappingURL=ColorfulCard.js.map